CVE-2004-1508
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 22:55:24
NMCO    

[原文]init.php in WebCalendar allows remote attackers to execute arbitrary local PHP scripts via the user_inc parameter.


[CNNVD]WebCalendar多个远程漏洞(CNNVD-200412-392)

        WebCalendar的init.php存在漏洞。远程攻击者可以借助user_inc参数执行任意本地PHP脚本。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:webcalendar:webcalendar:0.9.41
cpe:/a:webcalendar:webcalendar:0.9.20
cpe:/a:webcalendar:webcalendar:0.9.42
cpe:/a:webcalendar:webcalendar:0.9.21
cpe:/a:webcalendar:webcalendar:0.9.43
cpe:/a:webcalendar:webcalendar:0.9.22
cpe:/a:webcalendar:webcalendar:0.9.44
cpe:/a:webcalendar:webcalendar:0.9.23
cpe:/a:webcalendar:webcalendar:0.9.24
cpe:/a:webcalendar:webcalendar:0.9.25
cpe:/a:webcalendar:webcalendar:0.9.26
cpe:/a:webcalendar:webcalendar:0.9.27
cpe:/a:webcalendar:webcalendar:0.9.28
cpe:/a:webcalendar:webcalendar:0.9.29
cpe:/a:webcalendar:webcalendar:0.9.40
cpe:/a:webcalendar:webcalendar:0.9.30
cpe:/a:webcalendar:webcalendar:0.9.31
cpe:/a:webcalendar:webcalendar:0.9.32
cpe:/a:webcalendar:webcalendar:0.9.11
cpe:/a:webcalendar:webcalendar:0.9.33
cpe:/a:webcalendar:webcalendar:0.9.34
cpe:/a:webcalendar:webcalendar:0.9.35
cpe:/a:webcalendar:webcalendar:0.9.36
cpe:/a:webcalendar:webcalendar:0.9.15
cpe:/a:webcalendar:webcalendar:0.9.37
cpe:/a:webcalendar:webcalendar:0.9.16
cpe:/a:webcalendar:webcalendar:0.9.38
cpe:/a:webcalendar:webcalendar:0.9.39
cpe:/a:webcalendar:webcalendar:0.9.19
cpe:/a:webcalendar:webcalendar:0.9.8

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1508
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1508
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-392
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=110011618724455&w=2
(UNKNOWN)  BUGTRAQ  20041109 Multiple Vulnerabilities in WebCalendar
http://www.securityfocus.com/bid/11651
(UNKNOWN)  BID  11651
http://xforce.iss.net/xforce/xfdb/18028
(PATCH)  XF  webcalendar-init-file-include(18028)

- 漏洞信息

WebCalendar多个远程漏洞
高危 设计错误
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        WebCalendar的init.php存在漏洞。远程攻击者可以借助user_inc参数执行任意本地PHP脚本。

- 公告与补丁

        It is reported that some, or all of these issues have been corrected in the CVS versions of the package. This has not been confirmed.
        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息

11616
WebCalendar init.php user_inc Variable Arbitrary Command Execution
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

WebCalendar contains a flaw that may allow a remote attacker to execute arbritary commands. The issue is due to 'init.php' script not properly sanitizing user input supplied to the 'user_inc' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2004-11-09 Unknow
2004-11-09 Unknow

- 解决方案

Upgrade to version 0.9.45 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站